curl --location --request POST 'https://stablecoin-api.sandbox.getmeru.com/v1/payouts' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
"onBehalfOf": "123",
"amount": 1000,
"source": {
"paymentRail": "stellar",
"currency": "usdc",
"address": "123123"
},
"deductFromBalance": true,
"quoteId": "efaaf971-6d8b-4f36-be36-187c9f68fc06",
"destination": {
"type": "bank",
"currency": "cop",
"details": {
"country": "CO",
"accountType": "savings",
"bankAccountNumber": "1234567890",
"bankCode": "876",
"beneficiary": {
"email": "beneficiary@example.com",
"documentType": "CC",
"documentNumber": "12345678",
"firstName": "John",
"lastName": "Doe",
"phone": "+573001234567",
"city": "Bogotá",
"state": "Cundinamarca",
"address": "Calle 123 #45-67",
"country": "CO",
"type": "individual"
}
}
}
}'
const response = await fetch('https://stablecoin-api.sandbox.getmeru.com/v1/payouts', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'api-key': '<api-key>'
},
body: JSON.stringify({
onBehalfOf: "123",
amount: 1000,
source: {
paymentRail: "stellar",
currency: "usdc",
address: "123123"
},
deductFromBalance: true,
quoteId: "efaaf971-6d8b-4f36-be36-187c9f68fc06",
destination: {
type: "crypto_wallet",
currency: "usdc",
details: {
chain: "stellar",
address: "GCFXIZY4K5",
memo: "123123"
}
}
})
});
{
"success": true,
"id": "3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1"
}
Payouts
Crear payout
Este endpoint permite iniciar un proceso de payout
POST
/
v1
/
payouts
curl --location --request POST 'https://stablecoin-api.sandbox.getmeru.com/v1/payouts' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
"onBehalfOf": "123",
"amount": 1000,
"source": {
"paymentRail": "stellar",
"currency": "usdc",
"address": "123123"
},
"deductFromBalance": true,
"quoteId": "efaaf971-6d8b-4f36-be36-187c9f68fc06",
"destination": {
"type": "bank",
"currency": "cop",
"details": {
"country": "CO",
"accountType": "savings",
"bankAccountNumber": "1234567890",
"bankCode": "876",
"beneficiary": {
"email": "beneficiary@example.com",
"documentType": "CC",
"documentNumber": "12345678",
"firstName": "John",
"lastName": "Doe",
"phone": "+573001234567",
"city": "Bogotá",
"state": "Cundinamarca",
"address": "Calle 123 #45-67",
"country": "CO",
"type": "individual"
}
}
}
}'
const response = await fetch('https://stablecoin-api.sandbox.getmeru.com/v1/payouts', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'api-key': '<api-key>'
},
body: JSON.stringify({
onBehalfOf: "123",
amount: 1000,
source: {
paymentRail: "stellar",
currency: "usdc",
address: "123123"
},
deductFromBalance: true,
quoteId: "efaaf971-6d8b-4f36-be36-187c9f68fc06",
destination: {
type: "crypto_wallet",
currency: "usdc",
details: {
chain: "stellar",
address: "GCFXIZY4K5",
memo: "123123"
}
}
})
});
{
"success": true,
"id": "3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1"
}
Cuerpo
string
requerido
El identificador del usuario o entidad en cuyo nombre se realiza el payout
number
Monto a enviar en la moneda de origen
object
boolean
requerido
Indica si el monto se descuenta del saldo de la cuenta
string
ID de cotización opcional para el cálculo del tipo de cambio. Si se proporciona, se usará el tipo de cambio de la cotización. Si no, se calculará en el momento.
object
requerido
Detalles del pago de destino. La estructura depende del tipo de destino.
Mostrar Objeto destination
Mostrar Objeto destination
string
requerido
El tipo de destino: “bank”, “crypto_wallet” o “qr_code”
string
requerido
La moneda de destino
object
requerido
Detalles específicos del destino según el tipo
Mostrar Detalles de destino bancario
Mostrar Detalles de destino bancario
string
requerido
Código de país (por ejemplo, “CO”)
string
requerido
Tipo de cuenta bancaria (por ejemplo, “savings”)
string
requerido
Número de cuenta bancaria
string
requerido
Código del banco
object
requerido
Información del beneficiario
Mostrar Objeto beneficiary
Mostrar Objeto beneficiary
string
requerido
Correo electrónico del beneficiario
string
requerido
Tipo de documento (por ejemplo, “CC”)
string
requerido
Número de documento
string
requerido
Nombre
string
requerido
Apellido
string
requerido
Número de teléfono
string
requerido
Ciudad
string
requerido
Departamento o estado
string
requerido
Dirección
string
requerido
Código de país
string
requerido
Tipo de beneficiario
Mostrar Detalles de destino crypto wallet
Mostrar Detalles de destino crypto wallet
Mostrar ID de código QR
Mostrar ID de código QR
string
requerido
ID del código QR obtenido durante el proceso de preview
Respuesta
boolean
Indica si la operación fue exitosa.
string
El id del proceso de payout. Usa este id para consultar el estado del proceso.
curl --location --request POST 'https://stablecoin-api.sandbox.getmeru.com/v1/payouts' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
"onBehalfOf": "123",
"amount": 1000,
"source": {
"paymentRail": "stellar",
"currency": "usdc",
"address": "123123"
},
"deductFromBalance": true,
"quoteId": "efaaf971-6d8b-4f36-be36-187c9f68fc06",
"destination": {
"type": "bank",
"currency": "cop",
"details": {
"country": "CO",
"accountType": "savings",
"bankAccountNumber": "1234567890",
"bankCode": "876",
"beneficiary": {
"email": "beneficiary@example.com",
"documentType": "CC",
"documentNumber": "12345678",
"firstName": "John",
"lastName": "Doe",
"phone": "+573001234567",
"city": "Bogotá",
"state": "Cundinamarca",
"address": "Calle 123 #45-67",
"country": "CO",
"type": "individual"
}
}
}
}'
const response = await fetch('https://stablecoin-api.sandbox.getmeru.com/v1/payouts', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'api-key': '<api-key>'
},
body: JSON.stringify({
onBehalfOf: "123",
amount: 1000,
source: {
paymentRail: "stellar",
currency: "usdc",
address: "123123"
},
deductFromBalance: true,
quoteId: "efaaf971-6d8b-4f36-be36-187c9f68fc06",
destination: {
type: "crypto_wallet",
currency: "usdc",
details: {
chain: "stellar",
address: "GCFXIZY4K5",
memo: "123123"
}
}
})
});
{
"success": true,
"id": "3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1"
}
⌘I